# Creating NFTs

***

## `ERC721` <a href="#erc721" id="erc721"></a>

The standard functions that have to be supported by a smart contract to fulfil the ERC721 token standard. For reference see: <https://eips.ethereum.org/EIPS/eip-721>

**FUNCTIONS**

```solidity
balanceOf(owner)
ownerOf(tokenId)
approve(to, tokenId)
getApproved(tokenId)
setApprovalForAll(to, approved)
isApprovedForAll(owner, operator)
transferFrom(from, to, tokenId)
safeTransferFrom(from, to, tokenId)
safeTransferFrom(from, to, tokenId, _data)
_safeTransferFrom(from, to, tokenId, _data)
_exists(tokenId)
_isApprovedOrOwner(spender, tokenId)
_safeMint(to, tokenId)
_safeMint(to, tokenId, _data)
_mint(to, tokenId)
_burn(owner, tokenId)
_burn(tokenId)
_transferFrom(from, to, tokenId)
_checkOnERC721Received(from, to, tokenId, _data)
```

**ERC165**

```solidity
constructor()

supportsInterface(interfaceId)

_registerInterface(interfaceId)
```

**CONTEXT**

```solidity
_msgSender()
_msgData(
```

**EVENTSIERC721**

```solidity
Transfer(from, to, tokenId)
Approval(owner, approved, tokenId)
ApprovalForAll(owner, operator, approved)
```

***

| Smart Contract                                                                                                                       | Description                                                                                                               | Blockchain                                        |
| ------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------- |
| [Standard NFT ](/for-developers/developer-platform-overview/smart-contract-templates/creating-nfts/standard-nft.md)                  | The smart contract template to deploy single-copy NFTs.This version allows you to dissociate the wallet funding gas fees. | ONINO, Ethereum, BSC, Avalanche, Polygon, Fantom, |
| [NFT with fixed supply](/for-developers/developer-platform-overview/smart-contract-templates/creating-nfts/nft-with-fixed-supply.md) | The capped ERC721 NFT smart contract template for single-copy Non Fungible Tokens (NFT).                                  | ONINO, Ethereum, BSC, Avalanche, Polygon, Fantom, |
| ERC1155 NFTs collection                                                                                                              | The smart contract standard to manage multiple-copies NFTs.                                                               | ONINO, Ethereum, BSC, Avalanche, Polygon, Fantom, |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onino.io/for-developers/developer-platform-overview/smart-contract-templates/creating-nfts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
